#include <iostream>
#include <string>

using namespace std;

template < typename T > 
struct Pair
{
    T x, y;
    void print()
    {
        cout << x << " " << y << "\n";
    }
};

int main()
{
    Pair < int > a;
    a.x = 34;
    a.y = 89;
    a.print();

    Pair < string > b;
    b.x = "abc";
    b.y = "def";
    b.print();

    return 0;
}
